%define version 0.9.33
%define release alt1
%setup_python_module Nevow

Name: %packagename
Version:%version
Release: %release
BuildArch: noarch

Summary: Web Application Construction Kit
License: MIT
Group: Development/Python
Packager: Alexey Shabalin <shaba@altlinux.ru>
Url: http://divmod.org/trac/wiki/Divmod%{modulename}

Source: http://divmod.org/trac/attachment/wiki/SoftwareReleases/%modulename-%version.tar.gz

BuildPreReq: rpm-build-python
BuildRequires: python-module-Cython python-module-twisted
BuildRequires: python-devel python-module-setuptools

%description

Divmod Nevow is a web application construction kit written in Python. It is
designed to allow the programmer to express as much of the view logic as
desired in Python, and includes a pure Python XML expression syntax named stan
to facilitate this. However it also provides rich support for designer-edited
templates, using a very small XML attribute language to provide bi-directional
template manipulation capability.

Nevow also includes Divmod Athena, a "two way web" or "`COMET`_"
implementation, providing a two-way bridge between Python code on the server
and JavaScript code on the client.  Modular portions of a page, known as
"athena fragments" in the server python and "athena widgets" in the client
javascript, can be individually developed and placed on any Nevow-rendered page
with a small template renderer.  Athena abstracts the intricacies of HTTP
communication, session security, and browser-specific bugs behind a simple
remote-method-call interface, where individual widgets or fragments can call
remote methods on their client or server peer with one method: "callRemote".

%prep
%setup -q -n %modulename-%version

%build
%python_build

%install
%python_install

%files
%_bindir/*
%python_sitelibdir/Nevow-*.egg-info
%python_sitelibdir/nevow/
%python_sitelibdir/formless/
%python_sitelibdir/twisted/plugins/*.py*
%doc README LICENSE doc
%exclude %_prefix/doc

#%%exclude %_bindir/*

%changelog
* Sun Apr 19 2009 Alexey Shabalin <shaba@altlinux.ru> 0.9.33-alt1
- 0.9.33
- build as noarch

* Mon Nov 03 2008 Alexey Shabalin <shaba@altlinux.ru> 0.9.31-alt1
- first build for Sisyphus
- thx to aris@ for spec 


